File intel-gpu-tools.spec of Package intel-gpu-tools.8668

#
# spec file for package intel-gpu-tools
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           intel-gpu-tools
Version:        1.19
Release:        0
Summary:        Collection of tools for development and testing of the Intel DRM driver
License:        MIT
Group:          Development/Tools/Other
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Source1:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2.sig
Patch0:         n_disable-build-of-pm_rpm.patch
Patch2:         u_%{name}-1.7-fix-bashisms.patch
Patch3:         u_respect_cflags.diff
Patch4:         U_intel_gpu_top-Use-drm_open_driver-don-t-need-drm-mas.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Intel GPU is only available on x86 and x86-64
ExclusiveArch:  %ix86 x86_64
#
BuildRequires:  i2c-tools
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  swig >= 2.0.0
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dri2proto) >= 2.6
BuildRequires:  pkgconfig(gtk-doc)
BuildRequires:  pkgconfig(libdrm_intel) >= 2.4.64
BuildRequires:  pkgconfig(libkmod)
BuildRequires:  pkgconfig(libprocps)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libunwind)
BuildRequires:  pkgconfig(pciaccess) >= 0.10
BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xv)

# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6

%description
This is a collection of tools for development and testing of the Intel
DRM driver.

%prep
%setup -q
%patch0
%patch2
%patch3 -p1
%patch4 -p1

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%make_install
rm $RPM_BUILD_ROOT/%{_libdir}/intel_aubdump.la

%files
%defattr(-,root,root)
%doc README
%doc COPYING
%dir %{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gtk-doc/html/%{name}/*
%{_bindir}/*
%{_mandir}/man*/*
%{_libexecdir}/intel-gpu-tools/
%{_datadir}/intel-gpu-tools/
%{_libdir}/intel_aubdump.so

%changelog